# Uses of Enum Class
org.eclipse.emf.cdo.security.PatternStyle

Packages that use PatternStyle
Package
Description
org.eclipse.emf.cdo.security
The generated EMF API of the CDO security model.
org.eclipse.emf.cdo.security.impl
The generated EMF implementation of the CDO security model.
org.eclipse.emf.cdo.security.util
The generated EMF utilities of the CDO security model.

## Uses of PatternStyle in org.eclipse.emf.cdo.security

Fields in org.eclipse.emf.cdo.security with type parameters of type PatternStyle
Modifier and Type
Field
Description
`static final List<PatternStyle>`
PatternStyle.`VALUES`
A public read-only list of all the 'Pattern Style' enumerators.
Methods in org.eclipse.emf.cdo.security that return PatternStyle
Modifier and Type
Method
Description
`static PatternStyle`
PatternStyle.`get(int value)`
Returns the 'Pattern Style' literal with the specified integer value.
`static PatternStyle`
PatternStyle.`get(String literal)`
Returns the 'Pattern Style' literal with the specified literal value.
`static PatternStyle`
PatternStyle.`getByName(String name)`
Returns the 'Pattern Style' literal with the specified name.
`PatternStyle`
ResourceFilter.`getPatternStyle()`
Returns the value of the 'Pattern Style' attribute.
`static PatternStyle`
PatternStyle.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static PatternStyle[]`
PatternStyle.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.eclipse.emf.cdo.security with parameters of type PatternStyle
Modifier and Type
Method
Description
`ResourceFilter`
SecurityFactory.`createResourceFilter(String path, PatternStyle PatternStyle)`
`ResourceFilter`
SecurityFactory.`createResourceFilter(String path, PatternStyle PatternStyle, boolean includeParents)`
`ResourceFilter`
ResourceFilter.`setPatternStyle(PatternStyle value)`
Sets the value of the '`Pattern Style`' attribute.

## Uses of PatternStyle in org.eclipse.emf.cdo.security.impl

Methods in org.eclipse.emf.cdo.security.impl that return PatternStyle
Modifier and Type
Method
Description
`PatternStyle`
SecurityFactoryImpl.`createPatternStyleFromString(EDataType eDataType, String initialValue)`
`PatternStyle`
ResourceFilterImpl.AntMatcher.`getParentPatternStyle()`
`PatternStyle`
ResourceFilterImpl.ExactMatcher.`getParentPatternStyle()`
`PatternStyle`
ResourceFilterImpl.Matcher.`getParentPatternStyle()`
`PatternStyle`
ResourceFilterImpl.RegexMatcher.`getParentPatternStyle()`
`PatternStyle`
ResourceFilterImpl.TreeMatcher.`getParentPatternStyle()`
`PatternStyle`
ResourceFilterImpl.`getPatternStyle()`
Methods in org.eclipse.emf.cdo.security.impl with parameters of type PatternStyle
Modifier and Type
Method
Description
`ResourceFilter`
SecurityFactoryImpl.`createResourceFilter(String path, PatternStyle patternStyle)`
`ResourceFilter`
SecurityFactoryImpl.`createResourceFilter(String path, PatternStyle patternStyle, boolean includeParents)`
`ResourceFilter`
ResourceFilterImpl.`setPatternStyle(PatternStyle newPatternStyle)`

## Uses of PatternStyle in org.eclipse.emf.cdo.security.util

Methods in org.eclipse.emf.cdo.security.util with parameters of type PatternStyle
Modifier and Type
Method
Description
`boolean`
SecurityValidator.`validatePatternStyle(PatternStyle patternStyle, DiagnosticChain diagnostics, Map<Object,Object> context)`